#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long n,l;
    bool stao = false;
    int poz = 0;
    cin >> n >> l;
    for(int i = 1; i <=n; i++){
        long long x;
        
        cin >> x;
        if(x <= l and !stao){
            stao = true;
            poz = i;
        }
    }
    if(poz == 0) cout << "-1";
    else cout << poz;
    return 0;
}